HTMLObjectElement (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLObjectElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLObjectElement
extends HTMLElement

Generic embedded object. Note. In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated. See the OBJECT element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getArchive()` Space-separated list of archives.
`String` | `getBorder()` Width of border around the object.
`String` | `getCode()` Applet class file.
`String` | `getCodeBase()` Base URI for `classid` , `data` , and `archive` attributes.
`String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
`Document` | `getContentDocument()` The document this object contains, if there is any and it is available, or `null` otherwise.
`String` | `getData()` A URI specifying the location of the object's data.
`boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, this object.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getHeight()` Override height.
`String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`String` | `getName()` Form control or object name when submitted with a form.
`String` | `getStandby()` Message to render while loading the object.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` Content type for data downloaded via `data` attribute.
`String` | `getUseMap()` Use client-side image map.
`String` | `getVspace()` Vertical space above and below this image, applet, or object.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)`
`void` | `setArchive(String archive)`
`void` | `setBorder(String border)`
`void` | `setCode(String code)`
`void` | `setCodeBase(String codeBase)`
`void` | `setCodeType(String codeType)`
`void` | `setData(String data)`
`void` | `setDeclare(boolean declare)`
`void` | `setHeight(String height)`
`void` | `setHspace(String hspace)`
`void` | `setName(String name)`
`void` | `setStandby(String standby)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setType(String type)`
`void` | `setUseMap(String useMap)`
`void` | `setVspace(String vspace)`
`void` | `setWidth(String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getCode

    public String getCode()

  Applet class file. See the `code` attribute for HTMLAppletElement.

### setCode

    public void setCode(String code)

### getAlign

    public String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(String align)

### getArchive

    public String getArchive()

  Space-separated list of archives. See the archive attribute definition in HTML 4.0.

### setArchive

    public void setArchive(String archive)

### getBorder

    public String getBorder()

  Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBorder

    public void setBorder(String border)

### getCodeBase

    public String getCodeBase()

  Base URI for `classid` , `data` , and `archive` attributes. See the codebase attribute definition in HTML 4.0.

### setCodeBase

    public void setCodeBase(String codeBase)

### getCodeType

    public String getCodeType()

  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.

### setCodeType

    public void setCodeType(String codeType)

### getData

    public String getData()

  A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.

### setData

    public void setData(String data)

### getDeclare

    public boolean getDeclare()

  Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.0.

### setDeclare

    public void setDeclare(boolean declare)

### getHeight

    public String getHeight()

  Override height. See the height attribute definition in HTML 4.0.

### setHeight

    public void setHeight(String height)

### getHspace

    public String getHspace()

  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    public void setHspace(String hspace)

### getName

    public String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

### setName

    public void setName(String name)

### getStandby

    public String getStandby()

  Message to render while loading the object. See the standby attribute definition in HTML 4.0.

### setStandby

    public void setStandby(String standby)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getType

    public String getType()

  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.

### setType

    public void setType(String type)

### getUseMap

    public String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    public void setUseMap(String useMap)

### getVspace

    public String getVspace()

  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    public void setVspace(String vspace)

### getWidth

    public String getWidth()

  Override width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(String width)

### getContentDocument

    public Document getContentDocument()

  The document this object contains, if there is any and it is available, or `null` otherwise.

  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.